#Server Configuration
server.port=8089
server.servlet.context-path=/xdrservice
#server.address=0.0.0.0
server.tomcat.uri-encoding=UTF-8
server.error.include-message=always
server.error.include-binding-errors=always

#run.environment:  dev|test|pro
server.run.environment=test


# Syslog Server Configuration
syslog.tcp.port=514
syslog.udp.port=514
syslog.max.frame.length=65536
syslog.buffer.size=1000

# InfluxDB 2.7 Configuration
influxdb.url=http://192.168.4.32:8087
influxdb.token=53sfHaJOmBnrWxVhsZ4SzfiguSkTxYeqXR1cXgt4Q4zan43LcbXw7JOKmOOOWMppNQv6TDNyW1RVctqr5sslzw==
influxdb.org=influxdb
influxdb.bucket=yelangbucket
influxdb.batch.size=1000
influxdb.flush.interval=1000
influxdb.retry.attempts=3
influxdb.retry.delay=1000

# Application Configuration
app.worker.threads=8
app.max.queue.size=10000
app.metrics.enabled=true


#database Configuration
spring.datasource.url=jdbc:dm://192.163.4.99:5237/DM_ecosys
spring.datasource.username=SYSDBA
spring.datasource.password=caZ2TcmXNSW8L2Ap
spring.datasource.driver-class-name=dm.jdbc.driver.DmDriver
spring.datasource.hikari.schema=\"PUBLIC\"

# mybatis Configuration
mybatis.mapper-locations=classpath:mapper/*.xml
mybatis.type-aliases-package=com.common.entity
mybatis.configuration.map-underscore-to-camel-case=true
mybatis-plus.configuration.map-underscore-to-camel-case=true
mybatis-plus.type-handlers-package=com.Modules.etl.handler
# kafka Configuration
spring.kafka.consumer.bootstrap-servers=192.168.4.32:9092
spring.kafka.consumer.group-id=agent-syslog-group
spring.kafka.consumer.auto-offset-reset=latest
spring.kafka.consumer.enable-auto-commit=true
spring.kafka.consumer.auto-commit-interval=1000
spring.kafka.consumer.topic=agent-syslog-topic



# 定时任务配置
spring.task.scheduling.pool.size=10

# 日志配置
logging.level.com.common.schedule=INFO
logging.level.com.common.service=INFO

# 分区表检查配置
partition.check.tomorrow.enabled=true
partition.check.future.days=7
partition.auto.create=true


# 生产环境缓存配置
spring.redis.host=192.168.4.32
spring.redis.port=6379
# 密码（如果没有设置密码，可以省略）
spring.redis.password=redis_edP6N6
spring.redis.database=0
spring.redis.timeout=5000
#spring.redis.password=${REDIS_PASSWORD:default_prod_password}

spring.redis.lettuce.pool.max-active=20
spring.redis.lettuce.pool.max-wait=5000
spring.redis.lettuce.pool.max-idle=10
spring.redis.lettuce.pool.min-idle=5

# 生产环境缓存时间较长
spring.cache.redis.time-to-live=3600000